Package org.apache.qpid.proton.engine

# Interface ProtonJEndpoint

All Superinterfaces:
  `Endpoint`, `Extendable`

All Known Subinterfaces:
  `ProtonJConnection`, `ProtonJSession`

All Known Implementing Classes:
  `ConnectionImpl`, `EndpointImpl`, `LinkImpl`, `ReceiverImpl`, `SenderImpl`, `SessionImpl`, `TransportImpl`

public interface ProtonJEndpoint extends Endpoint

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.engine.Endpoint

`close, free, getCondition, getContext, getLocalState, getRemoteCondition, getRemoteState, open, setCondition, setContext`

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`